Bug 28866 - Installer crashes on NFS install from cdrom
Installer crashes on NFS install from cdrom
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-22 10:10 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 12:24:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-22 10:10:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


Here is the traceback:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 32, in __call__
    todo.getHeaderList()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in 
getHeaderList
    self.hdList = self.method.readHeaders()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 22, in 
readHeaders
    return HeaderListFromFile(self.tree + "/RedHat/base/hdlist")
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 136, in 
__init__
    hdlist = rpm.readHeaderListFromFile(path)
rpm.error: (2, 'No such file or directory')

Local variables in innermost frame:
compatPackages: None
self: <comps.HeaderListFromFile instance at 8236ab0>
path: /mnt/source/./RedHat/base/hdlist

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
sS'progressWindow'
p8
NsS'expert'
p9
I0
sS'ddruidReadOnly'
p10
I0
sS'bootdisk'
p11
I1
sS'language'
p12
(itodo
Language
(dp13
S'abbrevMap'
p14
(dp15
S'es_ES'
p16
S'Spanish'
p17
sS'tr_TR'
p18
S'Turkish'
p19
sS'sr_YU'
p20
S'Serbian'
p21
sS'de_DE'
p22
S'German'
p23
sS'sk_SK'
p24
S'Slovak'
p25
sS'ru_RU.KOI8-R'
p26
S'Russian'
p27
sS'is_IS'
p28
S'Icelandic'
p29
sS'no_NO'
p30
S'Norwegian'
p31
sS'sv_SE'
p32
S'Swedish'
p33
sS'en_US'
p34
S'English'
p35
sS'it_IT'
p36
S'Italian'
p37
sS'da_DK'
p38
S'Danish'
p39
sS'cs_CZ'
p40
S'Czech'
p41
sS'uk_UA.KOI8-U'
p42
S'Ukrainian'
p43
sS'hu_HU'
p44
S'Hungarian'
p45
sS'fr_FR'
p46
S'French'
p47
sS'sl_SI'
p48
S'Slovenian'
p49
sS'ro_RO'
p50
S'Romanian'
p51
ssS'font'
p52
(dp53
g37
S'lat0-sun16'
sg21
S'cyr-sun16'
sg27
S'cyr-sun16'
sg35
S'None'
sg25
S'lat2-sun16'
sg31
S'lat0-sun16'
sg33
S'lat0-sun16'
sg47
S'None'
sg49
S'lat2-sun16'
sg51
S'lat2-sun16'
sg23
S'None'
sg19
S'lat5-sun16'
sg45
S'lat2-sun16'
sg17
S'None'
sg43
S'cyr-sun16'
sg41
S'lat2-sun16'
sg39
S'lat0-sun16'
sg29
S'lat0-sun16'
ssS'langs'
p54
(dp55
g37
g36
sg21
g20
sg27
g26
sg35
g34
sg25
g24
sg31
g30
sg33
g32
sg47
g46
sg49
g48
sg51
g50
sg23
g22
sg19
g18
sg45
g44
sg17
g16
sg43
g42
sg41
g40
sg39
g38
sg29
g28
ssS'info'
p56
(dp57
S'LANG'
p58
g34
ssS'map'
p59
(dp60
g37
S'iso15'
sg21
S'iso05'
sg27
S'koi8-r'
sg35
S'None'
sg25
S'iso02'
sg31
S'iso15'
sg33
S'iso15'
sg47
S'None'
sg49
S'iso02'
sg51
S'iso02'
sg23
S'None'
sg19
S'iso09'
sg45
S'iso02'
sg17
S'None'
sg43
S'koi8-u'
sg41
S'iso02'
sg39
S'iso15'
sg29
S'iso15'
ssS'lang'
p61
g34
sbsS'fstab'
p62
NsS'lilo'
p63
(ililo
LiloConfiguration
(dp64
S'liloDevice'
p65
S'mbr'
p66
sS'initrdsMade'
p67
(dsS'edd'
p68
I0
sS'default'
p69
NsS'liloImages'
p70
(dsS'liloLinear'
p71
I1
sS'liloAppend'
p72
S''
sbsS'comps'
p73
NsS'network'
p74
(itodo
Network
(dp75
S'netdevices'
p76
(dp77
S'eth0'
p78
(itodo
NetworkDevice
(dp79
g56
(dp80
S'ONBOOT'
p81
S'yes'
sS'IPADDR'
p82
S'192.168.69.3'
sS'BOOTPROTO'
p83
S'static'
sS'NETMASK'
p84
S'255.255.255.0'
sS'DEVICE'
p85
g78
ssbssS'gateway'
p86
S''
sS'secondaryNS'
p87
S''
sS'hostname'
p88
S'apache'
sS'primaryNS'
p89
S''
sS'domains'
p90
(lsS'isConfigured'
p91
I1
sS'readData'
p92
I1
sS'ternaryNS'
p93
S''
sbsS'upgrade'
p94
I0
sS'instClass'
p95
(iserver
InstallClass
(dp96
S'rootPasswordCrypted'
p97
I0
sS'nameserver'
p98
S''
sS'x'
NsS'rootPassword'
p99
NsS'makeBootdisk'
p100
I1
sS'installType'
p101
NsS'postScript'
p102
NsS'earlySwapOn'
p103
I0
sS'networkDevice'
p104
NsS'clearText'
p105
Nsg63
(g66
I1
S''
tsg12
NsS'name'
p106
S''
sS'postInChroot'
p107
I0
sS'pixmap'
p108
S''
sS'partitions'
p109
(lp110
(S'/boot'
p111
(I16
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I256
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/usr'
p112
(I512
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'/var'
p113
(I256
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/home'
p114
(I512
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p115
(I64
I256
I1
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p116
S'svr'
p117
sg86
S''
sS'mouse'
p118
NsS'packages'
p119
NsS'timezone'
p120
NsS'zeroMbr'
p121
I0
sS'keyboard'
p122
NsS'groups'
p123
(lp124
S'Server'
p125
asS'bootProto'
p126
NsS'netmask'
p127
S''
sS'raidList'
p128
(lsS'skipSteps'
p129
(dp130
S'authentication'
p131
I1
sg63
I1
ssS'auth'
p132
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg88
S'localhost.localdomain'
p133
sg62
(lsS'showgroups'
p134
(lp135
S'News Server'
p136
aS'NFS Server'
p137
aS'Web Server'
p138
aS'DNS Name Server'
p139
asS'ip'
p140
S''
sS'defaultRunlevel'
p141
NsS'desktop'
p142
S''
sS'clearPartText'
p143
S'You are about to erase ALL DATA on your hard drive to make room for your 
Linux installation.'
p144
sS'clearParts'
p145
I4
sbsS'rootpassword'
p146
NsS'extraModules'
p147
(lp148
sg118
(imouse
Mouse
p149
(dp150
S'device'
p151
S'null'
p152
sg56
(dp153
S'XMOUSETYPE'
p154
S'none'
p155
sS'FULLNAME'
p156
S'None - None'
p157
sS'MOUSETYPE'
p158
g155
ssS'emu'
p159
I0
sS'wasProbed'
p160
I0
sS'emulate'
p161
I0
sbsS'ddruidAlreadySaved'
p162
I1
sS'serial'
p163
I0
sg120
(S'America/Chicago'
I0
I0
tsg121
I0
sg122
(ikbd
Keyboard
(dp164
S'layout'
p165
NsS'model'
p166
NsS'type'
p167
S'PC'
p168
sg56
(dp169
S'KEYBOARDTYPE'
p170
S'pc'
p171
sS'KEYTABLE'
p172
S'us'
p173
ssbsS'skipFdisk'
p174
I1
sS'fdDevice'
p175
S'fd0'
p176
sS'installSystem'
p177
I1
sS'setupFilesystems'
p178
I1
sg132
(itodo
Authentication
(dp179
S'useNIS'
p180
I0
sS'nisServer'
p181
S''
sS'useLdap'
p182
I0
sS'krb5Kdc'
p183
S''
sS'useHesiod'
p184
I0
sS'ldapServer'
p185
S''
sS'nisDomain'
p186
S''
sS'krb5Realm'
p187
S''
sS'useLdapauth'
p188
I0
sS'hesiodRhs'
p189
S''
sS'useShadow'
p190
I1
sS'nisuseBroadcast'
p191
I0
sS'useKrb5'
p192
I0
sS'useMD5'
p193
I1
sS'ldapBasedn'
p194
S''
sS'krb5Admin'
p195
S''
sS'hesiodLhs'
p196
S''
sS'hesiodDlhs'
p197
S''
sbsg88
g133
sS'reconfigOnly'
p198
I0
sS'x'
(ixf86config
XF86Config
(dp199
S'monlist'
p200
(dsS'keyModel'
p201
S'pc101'
p202
sS'monids'
p203
(dsg151
NsS'monEisa'
p204
NsS'server'
p205
NsS'monHoriz'
p206
S'31.5'
p207
sS'devID'
p208
NsS'modes'
p209
(dp210
S'8'
(lp211
S'640x480'
p212
assS'keyOptions'
p213
S''
sS'keyVariant'
p214
S''
sS'monID'
p215
S'Unprobed Monitor'
p216
sS'keyLayout'
p217
S'us'
p218
sS'manualModes'
p219
(dsg118
g149
sS'keyRules'
p220
S'xfree86'
p221
sS'monVert'
p222
S'60'
p223
sS'cardMan'
p224
NsS'monSect'
p225
S''
sS'primary'
p226
I0
sS'vidRam'
p227
NsS'probed'
p228
I0
sS'monName'
p229
NsS'vidCards'
p230
(lsS'skip'
p231
I0
sS'files'
p232
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p233
sbsS'users'
p234
NsS'instPath'
p235
S'/mnt/sysimage'
p236
sS'intf'
p237
NsS'hdList'
p238
Nsb.

Reproducible: Always
Steps to Reproduce:
1. Put redhat 7 cd 2 in nfs cdrom drive
2. Boot on new machine with redhat net install boot floppy
3. Go through all options.  When it gets to examining packages it throws 
the traceback stuff.
Comment 1 Michael Fulbright 2001-02-22 12:24:47 EST
It appears you are missing files on your NFS server. Did you copy both CDs into
a single directory tree?
Comment 2 Michael Fulbright 2001-03-14 12:57:34 EST
Closing due to inactivity. Please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.